Bug 610794 - Review Request: meego-panel-zones - Meego zones panel
Review Request: meego-panel-zones - Meego zones panel
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: MERCIER Jonathan
Fedora Extras Quality Assurance
Depends On:
Blocks: MeeGo1
  Show dependency treegraph
Reported: 2010-07-02 09:16 EDT by Peter Robinson
Modified: 2010-08-10 08:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-08-10 08:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bioinfornatics: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2010-07-02 09:16:09 EDT
SPEC: http://pbrobinson.fedorapeople.org/meego-panel-zones.spec
SRPM: http://pbrobinson.fedorapeople.org/meego-panel-zones-0.1.18-1.fc13.src.rpm

Zones panel for MeeGo for switching between running applications.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2289977
Comment 1 Chen Lei 2010-07-02 12:46:37 EDT
How can you determine git_version e5fadfe is the version 0.1.18?


The version for Master/meego 1.1 is 0.2.0, the version for meego 1.0 is 0.1.19(the package name is moblin-panel-zones).

It'll be much easier to use tarball in the upstream src.rpm, them write a comment before the source field. 

Comment 2 Chen Lei 2010-07-02 13:02:19 EDT
I suggest you to use tarball from offical meego repo.

Also, packaging meego 1.1 will be more useful, it looks like meego 1.0 is an experimental release(few qt stuff, still using moblin name). Meego 1.1 is more like Fedora 14, both releases will use kernel 2.6.35. 

We can modify src.rpm from http://repo.meego.com/MeeGo/builds/1.0.80, a package list for meego 1.1 is available.


We can easily use diff to see which package are updated between weekly images regularly.

wget http://repo.meego.com/MeeGo/builds/1.0.80/ 
wget http://repo.meego.com/MeeGo/builds/1.0.80/
diff -u meego-netbook-ia32- meego-netbook-ia32-
Comment 3 MERCIER Jonathan 2010-08-01 08:37:51 EDT
if you would use upstream do comment in spec how you get this and how you do your tar.gz
see in example http://bioinfornatics.fedorapeople.org/tango.spec
Comment 4 Peter Robinson 2010-08-01 08:46:45 EDT
(In reply to comment #3)
> if you would use upstream do comment in spec how you get this and how you do
> your tar.gz
> see in example http://bioinfornatics.fedorapeople.org/tango.spec    

Its documented in the first 5 lines of the spec file.
Comment 5 MERCIER Jonathan 2010-08-01 09:21:53 EDT
can you see: http://fedoraproject.org/wiki/PackageNamingGuidelines#SnapshotPackages
Comment 6 Chen Lei 2010-08-01 09:32:17 EDT
(In reply to comment #5)
> can you see:
> http://fedoraproject.org/wiki/PackageNamingGuidelines#SnapshotPackages    

MeeGo packages is a special case. Actually this package is not a snapshot, it's a formal release, but meego project tend to not upload tarballs to public place.

moblin-panel-zones = meego-panel-zones, meego renamed this package since version 0.2.0.



Comment 7 Peter Robinson 2010-08-01 10:41:20 EDT
(In reply to comment #5)
> can you see:
> http://fedoraproject.org/wiki/PackageNamingGuidelines#SnapshotPackages    

Yes, but its a tagged release. In the update that I'm just preparing I'm going to use the tagged release number instead of a git reference to better reflect this. meego doesn't do tar files. They do src.rpm or the git repo.
Comment 8 MERCIER Jonathan 2010-08-02 19:49:18 EDT

[P] Pass
[F] Fail See [n]
[-] Not applicable
[?] Questions (see comments)


[?]  MUST: rpmlint must be run on every package. The output should be
     posted in the review.

[P]  MUST: The package must be named according to the Package Naming

[P]  MUST: The spec file name must match the base package %{name},
     in the format %{name}.spec unless your package has an exemption.

[P]  MUST: The package must meet the Packaging Guidelines.

[P]  MUST: The package must be licensed with a Fedora approved
     license and meet the Licensing Guidelines.

[P]  MUST: The License field in the package spec file must match
     the actual license.

[-]  MUST: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of
     the license(s) for the package must be included in %doc.

[P]  MUST: The spec file must be written in American English.

[P]  MUST: The spec file for the package MUST be legible.

[P]  MUST: The sources used to build the package must match the upstream
     source, as provided in the spec URL. Reviewers should use md5sum for
     this task. If no upstream URL can be specified for this package,
     please see the Source URL Guidelines for how to deal with this.

[F]  MUST: The package MUST successfully compile and build into binary
     rpms on at least one primary architecture.

     see [2]

[F]  MUST: If the package does not successfully compile, build or work on
     an architecture, then those architectures should be listed in the spec
     in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug
     filed in bugzilla, describing the reason that the package does not
     compile/build/work on that architecture. The bug number MUST be
     placed in a comment, next to the corresponding ExcludeArch line.

     see [2]

[P]  MUST: All build dependencies must be listed in BuildRequires,
     except for any that are listed in the exceptions section of the
     Packaging Guidelines ; inclusion of those as BuildRequires is
     optional. Apply common sense.

[P]  MUST: The spec file MUST handle locales properly. This is done by
     using the %find_lang macro. Using %{_datadir}/locale/[ ] is strictly

[-]  MUST: Every binary RPM package (or sub package) which stores shared
     library files (not just symlinks) in any of the dynamic linker's
     default paths, must call ldconfig in %post and %postun.

[-]  MUST: If the package is designed to be relocatable, the packager
     must state this fact in the request for review, along with the
     rationalization for relocation of that specific package.
     Without this, use of Prefix: /usr is considered a blocker.

[P]  MUST: A package must own all directories that it creates. If it does not
     create a directory that it uses, then it should require a package which
     does create that directory. Refer to the Guidelines for examples.

[P]  MUST: A package must not contain any duplicate files in the %files

[P]  MUST: Permissions on files must be set properly. Executables should
     be set with executable permissions, for example. Every %files section
     must include a %defattr(...) line.

[P]  MUST: The %clean section is not required for F-13 and above. Each package
     for F-12 and below (or EPEL) MUST have a %clean section, which contains
     rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

[P]  MUST: Each package must consistently use macros, as described in the
     macros section of Packaging Guidelines.

[P]  MUST: The package must contain code, or permissible content.
     This is described in detail in the code vs. content section
     of Packaging Guidelines.

[-]  MUST: Large documentation files should go in a -doc sub package.
     (The definition of large is left up to the packager's best judgement,
     but is not restricted to size. Large can refer to either size or quantity)

[P]  MUST: If a package includes something as %doc, it must not affect the
     runtime of the application. To summarize: If it is in %doc, the program
     must run properly if it is not present.

[-]  MUST: Header files must be in a -devel package.

[-]  MUST: Static libraries must be in a -static package.

[-]  MUST: Packages containing pkgconfig(.pc) files must 'Requires:
     pkgconfig' (for directory ownership and usability).

[-]  MUST: If a package contains library files with a suffix
     (e.g. libfoo.so.1.1), then library files that end in .so
     (without suffix) must go in a -devel package.

[-]  MUST: In the vast majority of cases, devel packages must require
     the base package using a fully versioned dependency: Requires:
     %{name} = %{version}-%{release}

[-]  MUST: Packages must NOT contain any .la libtool archives,
     these should be removed in the spec.

[P]  MUST: Packages containing GUI applications must include a
     %{name}.desktop file,and that file must be properly installed
     with desktop-file-install in the %install section. This is described
     in detail in the desktop files section of the Packaging Guidelines.
     If you feel that your packaged GUI application does not need a .desktop
     file, you must put a comment in the spec file with your explanation.

[P]  MUST: Packages must not own files or directories already owned by
     other packages. The rule of thumb here is that the first package
     to be installed should own the files or directories that other packages
     may rely upon. This means, for example, that no package in Fedora should
     ever share ownership with any of the files or directories owned by the
     file system or man package. If you feel that you have a good reason to
     own a file or directory that another package owns, then please present
     that at package review time.

[P]  MUST: At the beginning of %install, each package MUST run
     rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). (For F12, EPEL Only)

[P]  MUST: All file names in rpm packages must be valid UTF-8.


[?]  If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it
[F]  The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[F]  The reviewer should test that the package builds in mock. 
For same reason et issue 1 and 2
[F]  The package should compile and build into binary rpms on all supported architectures.
[-]  The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
i wait build into koki before
[-]  If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[-]  Usually, subpackages other than devel should require the base package using a fully versioned dependency. 
[-]  The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[-] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

1. do not build with koji, rpmint for src.rpm and spec:
$ rpmlint meego-panel-zones-0.2.1-2.5.src.rpm 
meego-panel-zones.src: W: non-standard-group System Environment/Desktop
meego-panel-zones.src: W: invalid-license LGPL 2.1
meego-panel-zones.src: W: invalid-url DistURL obs://build.meego.com/Trunk:Netbook/Trunk/e4fb66c0527d19b7be8df32355e8fb6d-meego-panel-zones
meego-panel-zones.src: E: unknown-key GPG#79fc1f8a
meego-panel-zones.src:32: W: unversioned-explicit-obsoletes moblin-panel-zones
meego-panel-zones.src: W: no-cleaning-of-buildroot %clean
meego-panel-zones.src: W: no-buildroot-tag
meego-panel-zones.src: W: no-%clean-section
meego-panel-zones.src: W: invalid-url Source0: meego-panel-zones-0.2.1.tar.gz
1 packages and 0 specfiles checked; 1 errors, 8 warnings.
 rpmlint ../SPECS/meego-panel-zones.spec 
../SPECS/meego-panel-zones.spec:12: W: non-standard-group System Environment/Desktop
../SPECS/meego-panel-zones.spec:32: W: unversioned-explicit-obsoletes moblin-panel-zones
../SPECS/meego-panel-zones.spec: W: no-cleaning-of-buildroot %clean
../SPECS/meego-panel-zones.spec: W: no-buildroot-tag
../SPECS/meego-panel-zones.spec: W: no-%clean-section
../SPECS/meego-panel-zones.spec: W: invalid-url Source0: meego-panel-zones-0.2.1.tar.gz
0 packages and 1 specfiles checked; 0 errors, 6 warnings.
they are some easy warning to fix, such as;
System Desktops -> User Interface/Desktops
LGPL 2.1 -> LGPLv2+

2. do not build yet with koji

3. i did not see LISENSE file in %doc
Comment 9 Peter Robinson 2010-08-04 09:41:49 EDT
> Issue:
> 1. do not build with koji, rpmint for src.rpm and spec:
> $ rpmlint meego-panel-zones-0.2.1-2.5.src.rpm 

That's not my RPM. I suspect you've got one that Chen mentioned above from upstream MeeGo.

Comment 10 Peter Robinson 2010-08-05 02:58:26 EDT
So I think the above review was done on the meego package. I've updated the package.

SPEC: http://pbrobinson.fedorapeople.org/meego-panel-zones.spec
SRPM: http://pbrobinson.fedorapeople.org/meego-panel-zones-0.2.0-0.1.fc14.src.rpm

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2380801
Comment 11 Peter Robinson 2010-08-07 15:32:52 EDT
Jonathan, what's the status of this?
Comment 12 MERCIER Jonathan 2010-08-07 17:20:28 EDT
for me i think is good now
Comment 13 MERCIER Jonathan 2010-08-07 17:22:18 EDT
Comment 14 Peter Robinson 2010-08-07 17:34:33 EDT
(In reply to comment #13)

Thanks for the review Jonathon, can you set the fedora-review flag to +
Comment 15 Peter Robinson 2010-08-07 18:14:38 EDT
New Package GIT Request
Package Name: meego-panel-zones
Short Description: Meego zones panel
Owners: pbrobinson
Branches: F-14 F-13
Comment 16 Kevin Fenzi 2010-08-09 13:24:02 EDT
Git done (by process-git-requests).
Comment 17 Peter Robinson 2010-08-10 08:43:29 EDT
build for rawhide.

Thanks Jonathon for the review.

Note You need to log in before you can comment on or make changes to this bug.